Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 657996 - www-client/links-2.16 - automagic dependency on app-arch/brotli and app-arch/lzlib
Summary: www-client/links-2.16 - automagic dependency on app-arch/brotli and app-arch/...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrice Clement
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-12 18:18 UTC by Sławomir Nizio
Modified: 2019-06-04 13:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sławomir Nizio 2018-06-12 18:18:03 UTC
Things like this can be spotted e.g. in configure.in:

 AC_ARG_WITH(zlib, [  --without-zlib          compile without zlib compression],[if test "$withval" = no; t
hen disable_zlib=yes; else disable_zlib=no; fi])
+AC_ARG_WITH(brotli, [  --without-brotli        compile without brotli compression],[if test "$withval" = n
o; then disable_brotli=yes; else disable_brotli=no; fi])
 AC_ARG_WITH(bzip2, [  --without-bzip2         compile without bzip2 compression],[if test "$withval" = no;
 then disable_bzip2=yes; else disable_bzip2=no; fi])
 AC_ARG_WITH(lzma, [  --without-lzma          compile without lzma compression],[if test "$withval" = no; t
hen disable_lzma=yes; else disable_lzma=no; fi])
+AC_ARG_WITH(lzip, [  --without-lzip          compile without lzip compression],[if test "$withval" = no; t
hen disable_lzip=yes; else disable_lzip=no; fi])
 compression=""


(this is from sources links-2.14 and links-2.16).
Comment 1 Nikos Chantziaras 2019-06-04 13:16:18 UTC
While unmerging app-arch/brotli:

!!! existing preserved libs:
>>> package: app-arch/brotli-1.0.7
 *  - /usr/lib64/libbrotlidec.so.1
 *  - /usr/lib64/libbrotlidec.so.1.0.7
 *      used by /usr/bin/links (www-client/links-2.18)
 *  - /usr/lib64/libbrotlicommon.so.1
 *  - /usr/lib64/libbrotlicommon.so.1.0.7